.contacts {
  margin-bottom: 20px;

  &> div {
    @extend .white-text;
    @include inline-block;
    font-size: 9pt;
    padding: 0 11px;

    a {
      @extend .white-text;

      &:hover {
        text-decoration: none;
      }
    }

    &.contact:before {
      @extend .orange-text;
    }

    &.contact:after {
      content: '.';
    }

    &.mobile:before {
      content: ': MOBILE: ';
    }

    &.email:before {
      content: ': E-MAIL: ';
    }

    &.github:before {
      content: ': GITHUB: ';
    }

    &.linkedin:before {
      content: ': LINKEDIN: ';
    }

    &.location:before {
      content: ': LOCATION: ';
    }
  }
}

.bio {
  padding: 0 70px;
  @include border-top-radius(25px);

  .role {
    margin-top: 20px;
    padding-top: 8px;
  }

  .pic {
    padding: 0 5% 5%;
  }

  .welcome-message {
    margin-bottom: 20px;
  }

  .skill {
    background-color: transparent;
    border: none;
    width: 25%;

    &:before {
      content: ': ';
    }

    &:after {
      content: '.';
    }
  }
}

.section {
  padding: 15px 45px;

  h2 {
    padding-bottom: 15px;
  }

  .images {
    width: 25%;
  }
}

.jobs, .projects, .schooling {
  @extend .section;

  * {
    margin-top: 5px;
  }

  a {
    @extend .black-text;

    &:hover {
      text-decoration: none;
    }
  }
}

.places {
  @extend .section;

  .map {
    width: 100%;
    height: 500px;
  }
}

.footer {
  padding-bottom: 20px;

  .connect {
    padding: 20px 0;
    font-size: 14pt;
    font-weight: bold;
  }

  .padding-top {
    padding-top: 20px;
  }

  .border-bottom {
    @include border-bottom-radius(25px);
  }
}

.highlight {
  @extend .orange-bg;
  @extend .white-text;
}

.scrollspy {
  &> .nav {
    @extend .black-bg;
    @include border-radius(25px);
    border-color: transparent;

    .nav {
      display: none;

      a {
        font-weight: normal;
      }
    }

    &> li {
      @include border-radius(0);

      &:first-child.active > a {
        @include border-top-radius(25px);
      }

      &:last-child.active > a {
        @include border-bottom-radius(25px);
      }
    }

    .active {
      &> a {
        @extend .highlight;
        font-weight: bold;
      }

      .nav {
        display: block;
      }
    }

    .nav-item {
      @extend .orange-text;

      &:hover {
        @extend .highlight;

        /*&:first-child:not(.active) {
          @include border-top-radius(25px);
        }

        &:last-child:not(.active) {
          @include border-bottom-radius(25px);
        }*/
      }
    }

    .sub-nav-item {
      @extend .orange-text;
      padding-left: 25px;

      &:hover {
        @extend .highlight;
      }
    }
  }

  .affix {
    top: 20px;
    width: 210px;
  }
}